<?php

function usaip_ConfigOptions() {

	# Should return an array of the module options for each product - maximum of 24

    $configarray = array(
	  "Plan Code" => array( "Type" => "text", "Size" => "10", "Description" => "Reseller code of plan assigned to you by USAIP.EU" ),
	);

	return $configarray;

}

function usaip_CreateAccount($params) {

    $serviceid = $params["serviceid"]; 
    $requsername=$params["customfields"]["Requested VPN username"];
    $reqpassword=$params["customfields"]["VPN password"];
    $packagecode = $params["configoption1"];
    $serverusername = $params["serverusername"];
    $serverpassword = $params["serverpassword"];

	  $url="https://www.usaip.eu/en/reseller_create.php?resellerid=".urlencode($serverusername)."&apipass=".urlencode($serverpassword);
	  $url.="&username=".urlencode($requsername);
	  $url.="&password=".urlencode($reqpassword);
	  $url.="&package=".urlencode($packagecode);
	  
	  $page = file_get_contents($url); 
                   
	  list($rok,$ruseractiveuntil,$rnewuseractiveuntil,$rrslatstid,$raltusername,$rpassword)= explode(":s:e:p:a:r:a:t:e:", $page);
		if ($rok=="OK")
	  {
	  	   $table = "tblhosting";
         $array = array("username"=>$raltusername,"password"=>encrypt($rpassword),"nextduedate"=>$rnewuseractiveuntil);
         $where = array("id"=>$serviceid);
         update_query($table,$array,$where);

         $result = "success";
	  } 
	  else 
	  {
		$result = $ruseractiveuntil;
	}
	return $result;
}

function usaip_Renew($params) {

    $serviceid = $params["serviceid"]; 
    $requsername=$params["username"];
    $packagecode = $params["configoption1"];
    $serverusername = $params["serverusername"];
    $serverpassword = $params["serverpassword"];
	
	  $url="https://www.usaip.eu/en/reseller_renew.php?resellerid=".urlencode($serverusername)."&apipass=".urlencode($serverpassword);
	  $url.="&username=".urlencode($requsername);
	  $url.="&package=".urlencode($packagecode);

	  $page = file_get_contents($url); 
                   
		list($rok,$ruseractiveuntil,$rnewuseractiveuntil,$rrslatstid,$raltusername,$rpassword)= explode(":s:e:p:a:r:a:t:e:", $page);
	  if ($rok=="OK")
		{
			 $table = "tblhosting";
       $array = array("nextduedate"=>$rnewuseractiveuntil);
       $where = array("id"=>$serviceid);

			 $result = "success";
	  } 
	  else 
	  {
		$result = $ruseractiveuntil;
	}
	return $result;
}


function usaip_TerminateAccount($params) {
	
    $serviceid = $params["serviceid"]; 
    $requsername=$params["username"];
    $serverusername = $params["serverusername"];
    $serverpassword = $params["serverpassword"];

	  $url="https://www.usaip.eu/en/reseller_terminate.php?resellerid=".urlencode($serverusername)."&apipass=".urlencode($serverpassword);
	  $url.="&username=".urlencode($requsername);
	  
    $page=file_get_contents($url);
                   
		list($rok,$error)= explode(":s:e:p:a:r:a:t:e:", $page);
	  if ($rok=="OK")
		{
			 $result = "success";
	  } 
	  else 
	  {
		$result = $error;
	}
	return $result;

}

function usaip_ChangePassword($params) {
	
    $serviceid = $params["serviceid"]; 
    $requsername=$params["username"];
    $reqpassword=$params["password"];
    $serverusername = $params["serverusername"];
    $serverpassword = $params["serverpassword"];

	  $url="https://www.usaip.eu/en/reseller_changepw.php?resellerid=".urlencode($serverusername)."&apipass=".urlencode($serverpassword);
	  $url.="&username=".urlencode($requsername);
	  $url.="&password=".urlencode($reqpassword);

    $page=file_get_contents($url);
                   
		list($rok,$error)= explode(":s:e:p:a:r:a:t:e:", $page);
	  if ($rok=="OK")
		{
			 $result = "success";
	  } 
	  else 
	  {
		$result = $error;
	}
	return $result;

}

function usaip_SuspendAccount($params) {
	
    $serviceid = $params["serviceid"]; 
    $requsername=$params["username"];
    $serverusername = $params["serverusername"];
    $serverpassword = $params["serverpassword"];

	  $url="https://www.usaip.eu/en/reseller_suspend.php?resellerid=".urlencode($serverusername)."&apipass=".urlencode($serverpassword);
	  $url.="&username=".urlencode($requsername);
	  
    $page=file_get_contents($url);
                   
		list($rok,$error)= explode(":s:e:p:a:r:a:t:e:", $page);
	  if ($rok=="OK")
		{
			 $result = "success";
	  } 
	  else 
	  {
		$result = $error;
	}
	return $result;

}

function usaip_UnsuspendAccount($params) {
	
    $serviceid = $params["serviceid"]; 
    $requsername=$params["username"];
    $serverusername = $params["serverusername"];
    $serverpassword = $params["serverpassword"];

	  $url="https://www.usaip.eu/en/reseller_unsuspend.php?resellerid=".urlencode($serverusername)."&apipass=".urlencode($serverpassword);
	  $url.="&username=".urlencode($requsername);
	  
    $page=file_get_contents($url);
                   
		list($rok,$error)= explode(":s:e:p:a:r:a:t:e:", $page);
	  if ($rok=="OK")
		{
			 $result = "success";
	  } 
	  else 
	  {
		$result = $error;
	}
	return $result;

}

?>